systemtap (5.1-5) unstable; urgency=medium

  * Add upstream patch move-unaligned.patch for Linux kernels >= 6.12
    (Closes: #1108541)

 -- Emanuele Rocca <ema@debian.org>  Tue, 01 Jul 2025 15:52:26 +0200

systemtap (5.1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop .git from Vcs-Browser URL
  * Depend on bind9-dnsutils (Closes: #1094952)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 21:20:54 +0100

systemtap (5.1-4) unstable; urgency=medium

  * Do not fail autopkgtests due to apt-get's output to stderr
    in build-hello and list-coreutils-probe-points autopkgtests.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2024 20:55:07 +0200

systemtap (5.1-3) unstable; urgency=medium

  * Install coreutils debugging symbols in list-coreutils-probe-points
    autopkgtest.
  * Drop "allow-stderr" from build-hello autopkgtest.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Aug 2024 17:15:03 +0200

systemtap (5.1-2) unstable; urgency=medium

  * Add upstream patches vmalloc-linux-6.10.patch,
    stp_task_work-6.10.patch, old-style-declaration-stap-probes.patch and
    error-empty-body-debug-macros.patch to fix runtime issues with Linux 6.10.
    (Closes: #1078683)
  * Add d/patches/debian-debug-system-map.patch to open System.map file shipped
    by -dbg package instead of /boot/System.map-$version.

 -- Emanuele Rocca <ema@debian.org>  Wed, 14 Aug 2024 12:38:08 +0200

systemtap (5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1075549)
  * Add upstream patch d/patches/symresolution-no-dangling.diff to fix FTBFS on
    various architectures. Building with g++-12 is not needed anymore.
    (Closes: #1057205)

 -- Emanuele Rocca <ema@debian.org>  Wed, 03 Jul 2024 16:05:57 +0200

systemtap (5.0-2) unstable; urgency=medium

  * Build with g++-12 to workaround FTBFS with g++-13 on i386, ppc64el,
    riscv64 (see #1057205).

 -- Emanuele Rocca <ema@debian.org>  Sun, 03 Dec 2023 20:14:50 +0100

systemtap (5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055418)
  * Drop d/patches/include-cstdint.diff, applied upstream.
  * Add build-dependency on libdebuginfod-dev.

 -- Emanuele Rocca <ema@debian.org>  Fri, 01 Dec 2023 11:50:12 +0100

systemtap (4.9-1) unstable; urgency=medium

  * New upstream release.
  * stap-prep: fix kernel version number parsing. (Closes: #1040480)
  * Drop d/patches/dtrace-deterministic-tmpfile.diff, applied upstream.
  * Add d/patches/include-cstdint.diff.
  * Do not ship jupyter files.
  * Refresh d/patches.

 -- Emanuele Rocca <ema@debian.org>  Fri, 14 Jul 2023 19:49:33 +0200

systemtap (4.8-2) unstable; urgency=medium

  * Add d/patches/dtrace-deterministic-tmpfile.diff by Gioele Barabucci to
    ensure dtrace produces reproducible object files. The patch has been merged
    upstream already. Thanks Gioele! (Closes: #1032056)
  * Add autopkgtest d/tests/dtrace-reproducible to verify that the above works
    as advertised.
  * Refresh d/patches.

 -- Emanuele Rocca <ema@debian.org>  Tue, 28 Feb 2023 21:45:06 +0100

systemtap (4.8-1) unstable; urgency=medium

  * New upstream release.
  * Fix url in debian/watch.
  * Add dependency on python3 for stap-profile-annotate.
  * Update systemtap-doc.lintian-overrides to match lintian output with
    brackets. Add a wrong-path-for-interpreter override for cve-2011-4127.stp
    as it is only an example.
  * Remove obsolete lintian override for setuid-binary usr/bin/staprun.
  * Add lintian override for HTML files false positive: source-is-missing.

 -- Emanuele Rocca <ema@debian.org>  Fri, 06 Jan 2023 20:25:17 +0100

systemtap (4.7-1) unstable; urgency=medium

  * New upstream version, fixes FTBFS with GCC-12. (Closes: #1013048)
    See https://sourceware.org/git/?p=systemtap.git;a=commit;h=56c498d
  * Ship new executable: stap-profile-annotate(1).
  * Drop patch dtrace-predictable-tmp-file.patch, applied upstream.
  * Update debian/patches/systemtap-ia64.patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 18 Jun 2022 12:47:33 +0200

systemtap (4.6-2) unstable; urgency=medium

  * Add dtrace-predictable-tmp-file.patch to use hash-based scheme for
    predictable file generation in dtrace. (Closes: #1006703)
    Thanks dann frazier for the patch!

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Mar 2022 17:29:24 +0100

systemtap (4.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh systemtap-ia64.patch.
  * Set debhelper compatibility level to 13.
  * Set Standards-Version to 4.6.0.

 -- Emanuele Rocca <ema@debian.org>  Thu, 18 Nov 2021 16:18:30 +0100

systemtap (4.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Make systemtap-sdt-dev Multi-Arch: same. Thanks, Antonio Terceiro.
    (Closes: #983484)

 -- Emanuele Rocca <ema@debian.org>  Fri, 27 Aug 2021 15:33:24 +0200

systemtap (4.5-1) experimental; urgency=medium

  * New upstream release. Upload to experimental as this is not meant for
    bullseye. (Closes: #988648)
  * Drop patch debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff, applied
    upstream.

 -- Emanuele Rocca <ema@debian.org>  Fri, 21 May 2021 14:57:59 +0200

systemtap (4.4-2) unstable; urgency=medium

  * Add debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff (Closes: #976634)

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Dec 2020 13:57:23 +0100

systemtap (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/get-user-pages-remote.patch added in 4.3-4 and now
    included upstream.
  * Drop debian/patches/vermagic-hiding.patch and
    debian/patches/mmap_sem-transition.patch added in 4.3-3 and now included
    upstream.
  * Drop debian/patches/rlim_t.patch added in 4.3-2 and now included upstream.
  * Update debian/patches/stap-prep.patch.

 -- Emanuele Rocca <ema@debian.org>  Wed, 18 Nov 2020 14:39:13 +0100

systemtap (4.3-4) unstable; urgency=medium

  * Add debian/patches/get-user-pages-remote.patch to ensure compatibility with
    5.9 kernels.
  * Install /usr/bin/stap-report, stap-report(1), stapref(1), stapsh(8), and
    systemtap-service(8).
  * Ship Czech man pages with systemtap-doc.

 -- Emanuele Rocca <ema@debian.org>  Wed, 28 Oct 2020 14:45:31 +0100

systemtap (4.3-3) unstable; urgency=high

  * Add debian/patches/mmap_sem-transition.patch to fix stap error: ‘struct
    mm_struct’ has no member named ‘mmap_sem’. (Closes: #972247)
  * Add debian/patches/vermagic-hiding.patch to fix stap error: 'This header
    can be included from kernel/module.c or *.mod.c only'
  * Set architecture of binary packages to linux-any. (Closes: #969968)
  * Add FORCE_SOURCE_DATE to debian/rules. (Closes: #961830)
  * Use salsa-ci-team/pipeline/raw/master/recipes/debian.yml instead of
    salsa-ci-team/pipeline/raw/master/salsa-ci.yml in our own salsa-ci.yml
    configuration to fix CI pipeline error: undefined dependency:
    extract-source.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Oct 2020 11:06:19 +0200

systemtap (4.3-2) unstable; urgency=medium

  * Add debian/patches/rlim_t.patch to fix FTBFS: bad rlim_t
    assumptions. Thank you Thorsten Glaser! (Closes: #968327)
  * Drop debian/patches/fix-emacs24.diff. Installing systemtap-common
    and then emacs-nox 1:26.3+1-2 (currently in sid) works fine without this
    patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Aug 2020 13:12:27 +0200

systemtap (4.3-1) unstable; urgency=medium

  * New upstream release
    - Drop patches fallback-comment-gcc-9.diff and
      fix-autoconf-stack-trace-strict-prototypes.diff, added upstream
    - Update systemtap-ia64.patch to pass PROVIDER to STAP_PROBE2 instead of
      HelperSDT
  * debian/watch: use https and uupdate

 -- Emanuele Rocca <ema@debian.org>  Fri, 12 Jun 2020 11:53:19 +0200

systemtap (4.2-3) unstable; urgency=medium

  * autopkgtest: do not assume architecture is amd64
  * Add debian/gbp.conf to use pristine-tar by default
  * Set Standards-Version to 4.4.1

 -- Emanuele Rocca <ema@debian.org>  Mon, 17 Feb 2020 12:01:11 +0100

systemtap (4.2-2) unstable; urgency=medium

  * Add upstream patch debian/patches/fallback-comment-gcc-9.diff to fix
    unwind related functions such as print_ubacktrace with GCC 9. See:
    http://paste.debian.net/1130708/
  * Add upstream patch fix-autoconf-stack-trace-strict-prototypes.diff to fix
    ustack, ubacktrace on Linux >= 5.3. See:
    https://sourceware.org/bugzilla/show_bug.cgi?id=25265
  * Take over maintenance from Ritesh. Thanks!

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Feb 2020 13:50:37 +0100

systemtap (4.2-1) unstable; urgency=low

  * New upstream release
  * Drop the following patches shipped in 4.2:
    - da2a89d syscalls.xmlpart-tbody.patch
    - 79d0c97 check_task_work_cancel_exportedness.patch
    - 910acbe vsprintf-fallthru.patch

 -- Emanuele Rocca <ema@debian.org>  Sat, 07 Dec 2019 23:23:30 +0100

systemtap (4.1-11) unstable; urgency=high

  * Add upstream patch debian/patches/vsprintf-fallthru.patch to satisfy gcc
    9's -Wimplicit-fallthrough. (Closes: #943876)

 -- Emanuele Rocca <ema@debian.org>  Thu, 31 Oct 2019 11:15:18 +0100

systemtap (4.1-10) unstable; urgency=medium

  * Add check_task_work_cancel_exportedness.patch from upstream to fix the
    following pass 4 error with user space probes on Linux > 5:
    ERROR: "task_work_cancel" [/tmp/[...].ko] undefined!

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 Oct 2019 17:38:13 +0200

systemtap (4.1-9) unstable; urgency=medium

  * tests: in case multiple linux-headers-amd64 versions are available, use the
    one which is installed.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2019 07:08:45 +0200

systemtap (4.1-8) unstable; urgency=medium

  * tests: do not fail if more than one linux-headers-amd64 version is
    available. (Closes: #934710)

 -- Emanuele Rocca <ema@debian.org>  Sat, 17 Aug 2019 17:07:27 +0200

systemtap (4.1-7) unstable; urgency=medium

  * Do not override dh_install either.
  * Add lintian override: shell-script-fails-syntax-check
    usr/share/systemtap/examples/stapgames/2048.stp.

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 18:39:05 +0200

systemtap (4.1-6) unstable; urgency=medium

  * Do not override dh_auto_build/dh_auto_install when building
    arch-independent packages. This should fix systemtap-common and
    systemtap-doc, now built by the autobuilders.
  * Ship examples with systemtap-doc. (Closes: #880420)

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 16:57:36 +0200

systemtap (4.1-5) unstable; urgency=medium

  * Source-only upload.

 -- Emanuele Rocca <ema@debian.org>  Fri, 02 Aug 2019 08:33:18 +0200

systemtap (4.1-4) unstable; urgency=medium

  * Add debian/tests/build-hello to check that compiling a hello world probe
    (pass 4) works. The test targets the kernel version installed by
    linux-headers-amd64.
  * Add debian/tests/list-coreutils-probe-points to check that stap -L works
    as expected.
  * Mark debian/tests/stap-prep as 'isolation-machine', after having done so
    for the upstream testsuite in 4.1-3. The kernel running on ci.debian.net
    is an old 4.9.110, and stap-prep has no chance to do the right thing with
    such kernel in testing/unstable. More in general, it is unlikely that in a
    test environment the running kernel matches whatever is installed by
    linux-headers-`uname -r`.

 -- Emanuele Rocca <ema@debian.org>  Sun, 28 Jul 2019 13:51:01 +0200

systemtap (4.1-3) unstable; urgency=medium

  * Build with python3 instead of python2 for the python2-rm transition:
    https://release.debian.org/transitions/html/python2-rm.html
  * Pass -a to dh_listpackages instead of -s, which is deprecated.
  * Add 'isolation-machine' to the list of autopkgtest restrictions for
    upstream testsuite. systemtap inserts kernel modules, and that cannot be
    done in LXC containers.
  * Use stapbpf in stap-prep testsuite so that it can be executed in LXC
    containers.
  * Set debhelper compatibility level to 12.

 -- Emanuele Rocca <ema@debian.org>  Sat, 27 Jul 2019 09:45:54 +0200

systemtap (4.1-2) unstable; urgency=medium

  * Patch stap-prep to check for the right kernel debug symbols package (-dbg
    rather than -dbgsym)
  * Run basic stap-prep testing and upstream test suite via autopkgtest
    (Closes: #526957)
  * Use the Salsa CI Pipeline (see debian/salsa-ci.yml)
  * Ship debian/systemtap-common.emacsen-compat (Closes: #932440)

 -- Emanuele Rocca <ema@debian.org>  Wed, 17 Jul 2019 22:29:10 +0200

systemtap (4.1-1) unstable; urgency=medium

  * New upstream version
  * Add debian/patches/syscalls.xmlpart-tbody.patch to fix documentation
    building with xmlto. The patch can likely be removed when packaging
    systemtap 4.2
  * Remove old patches
  * Set Standards Version to 4.4.0

 -- Emanuele Rocca <ema@debian.org>  Sat, 13 Jul 2019 13:22:32 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog systemtap-runtime`.
